﻿using System;

namespace XCE.SelectionReset
{
    public static class ObjectExtensions
    {
        public static void CheckNotNull(this object param, string paramName, string message = null)
        {
            if (param != null)
                return;
            if (!string.IsNullOrEmpty(message))
                throw new ArgumentNullException(paramName, message);
            throw new ArgumentNullException(paramName);
        }
    }
}
