﻿using System.Globalization;
using System.Windows;

namespace XCE.SelectionReset
{
    public sealed class BooleanToVisibilityHiddenConverter : ValueConverterBase<bool?, Visibility>
    {
        public override Visibility Convert(bool? value, CultureInfo culture)
        {
            return value.GetValueOrDefault() ? Visibility.Visible : Visibility.Hidden;
        }
    }
}