﻿using System;
using System.Globalization;

namespace XCE.SelectionReset
{
    public sealed class InverseBooleanConverter : ValueConverterBase<bool?, bool?>
    {
        public override bool? Convert(bool? value, CultureInfo culture)
        {
            if (!value.HasValue)
            {
                return null;
            }

            return !value.Value;
        }

        public override bool? ConvertBack(bool? value, Type targetType, CultureInfo culture)
        {
            if (!value.HasValue)
            {
                return null;
            }

            return !value.Value;
        }
    }
}