﻿using System;

namespace XCE.SelectionReset
{
    public abstract class LayerBaseViewModel : ViewModelBase
    {
        private string _name;

        private int _order;

        public Guid Id { get; set; }

        public string Name
        {
            get { return _name; }
            set
            {
                if (_name == value) return;
                _name = value;
                OnPropertyChanged();
            }
        }

        public int Order
        {
            get { return _order; }
            set
            {
                if (_order == value) return;
                _order = value;
                OnPropertyChanged();
            }
        }

        public abstract LayerType Type { get; }
    }
}
